// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/CommandWithHandshake.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "automotive_navigation_msgs/msg/command_with_handshake.h"


#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__COMMAND_WITH_HANDSHAKE__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__COMMAND_WITH_HANDSHAKE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"

/// Struct defined in msg/CommandWithHandshake in the package automotive_navigation_msgs.
/**
  * General Command Message
  * Contains a command and a message counter that can be used for handshaking
 */
typedef struct automotive_navigation_msgs__msg__CommandWithHandshake
{
  std_msgs__msg__Header header;
  /// Increments each time a command is sent
  /// An acknowledge message should be published with this value
  uint8_t msg_counter;
  /// The command value
  int16_t command;
} automotive_navigation_msgs__msg__CommandWithHandshake;

// Struct for a sequence of automotive_navigation_msgs__msg__CommandWithHandshake.
typedef struct automotive_navigation_msgs__msg__CommandWithHandshake__Sequence
{
  automotive_navigation_msgs__msg__CommandWithHandshake * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__CommandWithHandshake__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__COMMAND_WITH_HANDSHAKE__STRUCT_H_
