// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from automotive_navigation_msgs:msg/PointOfInterestRequest.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "automotive_navigation_msgs/msg/point_of_interest_request.hpp"


#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_REQUEST__TRAITS_HPP_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_REQUEST__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "automotive_navigation_msgs/msg/detail/point_of_interest_request__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__traits.hpp"

namespace automotive_navigation_msgs
{

namespace msg
{

inline void to_flow_style_yaml(
  const PointOfInterestRequest & msg,
  std::ostream & out)
{
  out << "{";
  // member: header
  {
    out << "header: ";
    to_flow_style_yaml(msg.header, out);
    out << ", ";
  }

  // member: name
  {
    out << "name: ";
    rosidl_generator_traits::value_to_yaml(msg.name, out);
    out << ", ";
  }

  // member: module_name
  {
    out << "module_name: ";
    rosidl_generator_traits::value_to_yaml(msg.module_name, out);
    out << ", ";
  }

  // member: request_id
  {
    out << "request_id: ";
    rosidl_generator_traits::value_to_yaml(msg.request_id, out);
    out << ", ";
  }

  // member: cancel
  {
    out << "cancel: ";
    rosidl_generator_traits::value_to_yaml(msg.cancel, out);
    out << ", ";
  }

  // member: update_num
  {
    out << "update_num: ";
    rosidl_generator_traits::value_to_yaml(msg.update_num, out);
    out << ", ";
  }

  // member: guid_valid
  {
    out << "guid_valid: ";
    rosidl_generator_traits::value_to_yaml(msg.guid_valid, out);
    out << ", ";
  }

  // member: guid
  {
    out << "guid: ";
    rosidl_generator_traits::value_to_yaml(msg.guid, out);
    out << ", ";
  }

  // member: tolerance
  {
    out << "tolerance: ";
    rosidl_generator_traits::value_to_yaml(msg.tolerance, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const PointOfInterestRequest & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: header
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "header:\n";
    to_block_style_yaml(msg.header, out, indentation + 2);
  }

  // member: name
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "name: ";
    rosidl_generator_traits::value_to_yaml(msg.name, out);
    out << "\n";
  }

  // member: module_name
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "module_name: ";
    rosidl_generator_traits::value_to_yaml(msg.module_name, out);
    out << "\n";
  }

  // member: request_id
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "request_id: ";
    rosidl_generator_traits::value_to_yaml(msg.request_id, out);
    out << "\n";
  }

  // member: cancel
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "cancel: ";
    rosidl_generator_traits::value_to_yaml(msg.cancel, out);
    out << "\n";
  }

  // member: update_num
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "update_num: ";
    rosidl_generator_traits::value_to_yaml(msg.update_num, out);
    out << "\n";
  }

  // member: guid_valid
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "guid_valid: ";
    rosidl_generator_traits::value_to_yaml(msg.guid_valid, out);
    out << "\n";
  }

  // member: guid
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "guid: ";
    rosidl_generator_traits::value_to_yaml(msg.guid, out);
    out << "\n";
  }

  // member: tolerance
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "tolerance: ";
    rosidl_generator_traits::value_to_yaml(msg.tolerance, out);
    out << "\n";
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const PointOfInterestRequest & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace msg

}  // namespace automotive_navigation_msgs

namespace rosidl_generator_traits
{

[[deprecated("use automotive_navigation_msgs::msg::to_block_style_yaml() instead")]]
inline void to_yaml(
  const automotive_navigation_msgs::msg::PointOfInterestRequest & msg,
  std::ostream & out, size_t indentation = 0)
{
  automotive_navigation_msgs::msg::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use automotive_navigation_msgs::msg::to_yaml() instead")]]
inline std::string to_yaml(const automotive_navigation_msgs::msg::PointOfInterestRequest & msg)
{
  return automotive_navigation_msgs::msg::to_yaml(msg);
}

template<>
inline const char * data_type<automotive_navigation_msgs::msg::PointOfInterestRequest>()
{
  return "automotive_navigation_msgs::msg::PointOfInterestRequest";
}

template<>
inline const char * name<automotive_navigation_msgs::msg::PointOfInterestRequest>()
{
  return "automotive_navigation_msgs/msg/PointOfInterestRequest";
}

template<>
struct has_fixed_size<automotive_navigation_msgs::msg::PointOfInterestRequest>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<automotive_navigation_msgs::msg::PointOfInterestRequest>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<automotive_navigation_msgs::msg::PointOfInterestRequest>
  : std::true_type {};

}  // namespace rosidl_generator_traits

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_REQUEST__TRAITS_HPP_
