// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/RoadNetworkBoundaries.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "automotive_navigation_msgs/msg/road_network_boundaries.h"


#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__ROAD_NETWORK_BOUNDARIES__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__ROAD_NETWORK_BOUNDARIES__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'road_network_boundaries'
#include "automotive_navigation_msgs/msg/detail/lane_boundary_array__struct.h"

/// Struct defined in msg/RoadNetworkBoundaries in the package automotive_navigation_msgs.
/**
  * Road Network Boundaries Array Message
  * Contains an array of lane boundary arrays forming a map/road network
 */
typedef struct automotive_navigation_msgs__msg__RoadNetworkBoundaries
{
  std_msgs__msg__Header header;
  automotive_navigation_msgs__msg__LaneBoundaryArray__Sequence road_network_boundaries;
} automotive_navigation_msgs__msg__RoadNetworkBoundaries;

// Struct for a sequence of automotive_navigation_msgs__msg__RoadNetworkBoundaries.
typedef struct automotive_navigation_msgs__msg__RoadNetworkBoundaries__Sequence
{
  automotive_navigation_msgs__msg__RoadNetworkBoundaries * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__RoadNetworkBoundaries__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__ROAD_NETWORK_BOUNDARIES__STRUCT_H_
