// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/ModuleState.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "automotive_navigation_msgs/msg/module_state.h"


#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__MODULE_STATE__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__MODULE_STATE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'name'
// Member 'state'
// Member 'info'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/ModuleState in the package automotive_navigation_msgs.
/**
  * Module State Message
  * Contains the state of a module
 */
typedef struct automotive_navigation_msgs__msg__ModuleState
{
  std_msgs__msg__Header header;
  /// Module's name of the source node of this message
  rosidl_runtime_c__String name;
  /// Current state
  rosidl_runtime_c__String state;
  /// Information on current state
  rosidl_runtime_c__String info;
} automotive_navigation_msgs__msg__ModuleState;

// Struct for a sequence of automotive_navigation_msgs__msg__ModuleState.
typedef struct automotive_navigation_msgs__msg__ModuleState__Sequence
{
  automotive_navigation_msgs__msg__ModuleState * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__ModuleState__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__MODULE_STATE__STRUCT_H_
