// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from automotive_navigation_msgs:msg/PointOfInterestStatus.idl
// generated code does not contain a copyright notice

#include "automotive_navigation_msgs/msg/detail/point_of_interest_status__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_automotive_navigation_msgs
const rosidl_type_hash_t *
automotive_navigation_msgs__msg__PointOfInterestStatus__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x90, 0x70, 0x7b, 0xda, 0x18, 0x71, 0xaa, 0x26,
      0xfd, 0x45, 0x00, 0x62, 0x89, 0x2c, 0xae, 0x74,
      0xaf, 0x8d, 0x02, 0xc0, 0xa3, 0x09, 0xd5, 0x2e,
      0x53, 0xe5, 0x3c, 0x3a, 0xc7, 0x83, 0x92, 0x16,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char automotive_navigation_msgs__msg__PointOfInterestStatus__TYPE_NAME[] = "automotive_navigation_msgs/msg/PointOfInterestStatus";

// Define type names, field names, and default values
static char automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__guid[] = "guid";
static char automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__distance[] = "distance";
static char automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__heading[] = "heading";
static char automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__x_position[] = "x_position";
static char automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__y_position[] = "y_position";
static char automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__params[] = "params";

static rosidl_runtime_c__type_description__Field automotive_navigation_msgs__msg__PointOfInterestStatus__FIELDS[] = {
  {
    {automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__guid, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_UINT64,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__distance, 8, 8},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__heading, 7, 7},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__x_position, 10, 10},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__y_position, 10, 10},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {automotive_navigation_msgs__msg__PointOfInterestStatus__FIELD_NAME__params, 6, 6},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
automotive_navigation_msgs__msg__PointOfInterestStatus__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {automotive_navigation_msgs__msg__PointOfInterestStatus__TYPE_NAME, 52, 52},
      {automotive_navigation_msgs__msg__PointOfInterestStatus__FIELDS, 6, 6},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Point of Interest Status Message\n"
  "# Contains the distance, heading, a localized position of a point of interest\n"
  "\n"
  "uint64 guid        # Unique Id for this point\n"
  "\n"
  "float32 distance   # Great circle distance (meters)\n"
  "float32 heading    # Heading (radians)\n"
  "float32 x_position # Distance in front of the vehicle (meters)\n"
  "float32 y_position # Distance to the left of the vehicle (meters)\n"
  "\n"
  "string params      # List of parameter:value pairs";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
automotive_navigation_msgs__msg__PointOfInterestStatus__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {automotive_navigation_msgs__msg__PointOfInterestStatus__TYPE_NAME, 52, 52},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 433, 433},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
automotive_navigation_msgs__msg__PointOfInterestStatus__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *automotive_navigation_msgs__msg__PointOfInterestStatus__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
